net.i2p.router.tunnel.pool

## Class BuildReplyHandler

- java.lang.Object
- - net.i2p.router.tunnel.pool.BuildReplyHandler

-     class BuildReplyHandler
      extends Object

  Decrypt the layers of a tunnel build reply message, determining whether the individual hops agreed to participate in the tunnel, or if not, why not.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BuildReplyHandler.Result` This contains the result of decrypting the build request or reply record, including the decrypted properties field, if present.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildReplyHandler(I2PAppContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuildReplyHandler.Result[]` | `decrypt(TunnelBuildReplyMessage reply, TunnelCreatorConfig cfg, List<Integer> recordOrder)` Decrypt the tunnel build reply records.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildReplyHandler

          public BuildReplyHandler(I2PAppContext context)

  - ### Method Detail

    - #### decrypt

          public BuildReplyHandler.Result[] decrypt(TunnelBuildReplyMessage reply,
                                                    TunnelCreatorConfig cfg,
                                                    List<Integer> recordOrder)

      Decrypt the tunnel build reply records. This overwrites the contents of the reply. Thread safe (no state). Note that this layer-decrypts the build records in-place. Do not call this more than once for a given message.
      Returns:
        status for the records (in record order), or null if the replies were not valid. Fake records always have 0 as their value. If the array is non-null, all entries in the array are non-null.